
/* Box */
/* --------------------------------------------------- */

.box							{ border-left: 4px solid #9ea7b3; line-height: 1.5em; position: relative; }

.box .part						{ padding: 1.5em; }
.box .part.shaded				{ background: rgba(0, 0, 0, 0.2); border-width: 1px 0; border-style: solid; border-color: #ddd; }

.box .part.divideleft			{ border-left: 1px solid rgba(0, 0, 0, 0.2); }
.box .part.divideright			{ border-right: 1px solid rgba(0, 0, 0, 0.2); }

/* Tool Bar */
.box .toolbar					{ background: #333; font-size: 1.3rem; line-height: 3.4rem; border-radius: 0 0 2px 2px; overflow: hidden; clear:both; }
.box .toolbar ul,	
.box .toolbar li				{ float: left; }

.box .toolbar a,
.box .toolbar button			{ display: block; height: 3.4rem; background: transparent; font-size: 1.3rem; padding: 0 16px; text-decoration: none; border-width: 0 1px 0 0; border-style: solid; border-color: #000; cursor: pointer; }

.box .toolbar a:hover,
.box .toolbar button:hover		{ color: #fff; }

.box .toolbar ul.right			{ float: right; }

.box .toolbar ul.right a,
.box .toolbar ul.right button	{ border-width: 0 0 0 1px; border-color: #126c96; font-weight: 600; background: #2A8FBD; color: #fff; font-size: 1.4rem; }
/*.box .toolbar ul.right a.deleteButton { background-color: #2c6d8a; }*/

.box .toolbar ul.right a:hover,
.box .toolbar ul.right button:hover	{ background: #1e80aa; }

.task .toolbar .selected,
.task .toolbar a:active			{ background: #000; }

/* No Touch */
.box .notouch					{ background: rgba(0, 0, 0, 0.5); color: #fff; font-size: 4.2rem; text-align: center; position: absolute; top: 0; right: 0; bottom: 0; left: 0; z-index: 2000; }
.box .notouch p					{ position: absolute; top: 40%; width: 100%; background: rgba(0, 0, 0, 0.5);}


/* Project */
/* --------------------------------------------------- */

.project						{ font-size: 1.6rem; max-width: 45em; margin: 0 auto; }
.project h1						{ font-size: 1.4em; margin: 0 0 1em; }

.project .details				{ float: left; width: 70%; }

.project .info					{ color: #888; }

.project span.noTasksAvailable	{ font-style: italic; color: #aaa; }

.project .meta					{ float: left; width: 30%; font-size: 1.4rem; }
.project .meta li				{ border-bottom: 1px solid #ddd; padding: 1em; }
.project .meta li:first-child	{ padding-top: 0; }
.project .meta li:last-child	{ padding-bottom: 0; border-bottom: 0; }
.project .meta p				{ margin: 0; }

.project .guidelines h2			{ font-size: 1.8rem; text-transform: uppercase; letter-spacing: 1px; color: #444; margin: 0 0 1.5em; padding: 0 0 0.65em; border-bottom: 1px solid #bbb; }

.project .percentbar			{ border: 1px solid #ccc; border-radius: 3px; width: 300px; display: block; padding: 1px; margin: 0 0 3em; line-height: 1em; }
.project .percentfill			{ background: #ccc; border-radius: 2px; display: block; position: relative; height: 8px; }
.project .percentnum			{ position: absolute; bottom: -18px; right: 0; font-size: 11px; }



.projects .project	{ font-size: 1.3rem; padding: 1.3em; margin: 0 0 2rem; text-align: left; max-width: none; }
.projects .project h1{ white-space: nowrap; overflow: hidden; text-overflow: ellipsis; color: #999; }
.projects .project .description { max-width: 500px; }
.projects .project .button { position: absolute; top: 2rem; right: 2rem; }



/* Forms */
/* --------------------------------------------------- */

form .field						{ margin: 0 0 1.5em; }
form label						{ display: block; font-weight: 600; font-size: 1.4rem; margin: 0 0 3px; }

form input[type="text"],
form #transcriptionTextArea			{ font-family: inherit; font-size: 1.3rem; padding: 8px; width: 100%; border: 1px solid #bbb; border-radius: 3px; box-shadow: inset 0 1px 3px #ddd; margin: 0; display: block; }

form .option					{ display: inline-block; margin: 0 0.3rem 0.5rem;  background: #ddd; padding: 0.2em 0.4em; line-height: 1em; border-radius: 3px; }
form .option label 				{ display: inline; font-weight: normal; font-size: 1.2rem; }

form button,
form input[type="submit"]		{ -webkit-appearance: none; }
#saveButton.saved {}
#saveButton.saving { background-color: yellow; }
#saveButton.failedToSave { background-color: red; }

/* Dashboard */
/* --------------------------------------------------- */

/*.dashboard section				{ padding: 3px 0 0 220px; position: relative; margin-top: 20px; }
.dashboard section header		{ position: absolute; top: 0; left: 0; width: 180px; }
.dashboard section h2			{ margin: 0 0 0.5em; }
.dashboard section p			{ color: #999; line-height: 1.5em; font-style: italic; margin-top: 1em; margin: 0 0 2em; }

.dashboard .active				{ border-bottom: 2px solid #ddd; padding-bottom: 40px; }

.dashboard .active li			{ font-size: 1.8rem; border-top: 1px solid #ddd; }
.dashboard .active li:last-child{ border-bottom: 1px solid #ddd; }
.dashboard .active li a:hover	{ background: #fff; }
.dashboard .active li a			{ display: block; padding: 0.75em 1.2rem; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }
.dashboard .active li a b		{ font-weight: 600; }
.dashboard .active li a span	{ color: #999; margin-right: 0.3em; }

.dashboard .active .startnew		{ display: inline-block; margin-top: 2.4rem; }

.projects .project	{ font-size: 1.3rem; padding: 1.3em; margin: 0 0 2rem; text-align: left; max-width: none; }
.projects .project h1{ white-space: nowrap; overflow: hidden; text-overflow: ellipsis; color: #999; }
.projects .project .description { max-width: 500px; }
.projects .project .button { position: absolute; top: 2rem; right: 2rem; }



.dashboard .random a:hover		{ text-decoration: underline; }
.dashboard .extras p			{ text-align: center; color: #888; margin: 0 0 1em; }
.dashboard .extras .newproject	{ margin-top: 2em; }*/




/* Tasks */
/* --------------------------------------------------- */

.task .source,
.task .transcript				{ height: -webkit-calc(100% - 3.4rem); height: calc(100% - 3.4rem); }

/* Source */
.task .source					{ width: 65%; float: left; background: #555; }
.task .source figure			{ overflow-y: scroll; height: 100%; }
.task .source img				{ display: block; width: 100%; }

/* Transcript */
.task .transcript				{ width: 35%; float: right; position: relative; border-width: 0 0 0 1px; border-style: solid; border-color: #ccc; }
.task .transcript #transcriptionTextArea		{ height: 100%; padding: 2rem; font-size: 1.8rem; outline: none; border-radius: 0; border: none; box-shadow: none;}

/* With Tags */
.task .transcript .tags			{ display: none; background: #eee; padding: 1rem 2rem; height: 140px; border-width: 1px 0 0; border-style: solid; border-color: #ccc; overflow: auto; }
.task .transcript .tags button	{ background: #777; border: none; color: #fff; border-radius: 3px; padding: 0.3rem 0.7rem 0.5rem; font-size: 1.1rem; }
.task .transcript .tags button:hover	{ background: #555; cursor: pointer }

.task .transcript.has_tags #transcriptionTextArea	{ height: -webkit-calc(100% - 140px); height: calc(100% - 140px); }
.task .transcript.has_tags .tags	{ display: block; }

/* Staked View */
.task.stacked .source			{ width: 100%; height: 100%; float: none; height: 60%; }
.task.stacked .transcript		{ width: 100%; float: none; height: -webkit-calc(40% - 3.4rem); height: calc(40% - 3.4rem); border-width: 1px 0 0 0; }

.task.stacked .transcript.has_tags #transcriptionTextArea	{ width: -webkit-calc(100% - 240px); width: calc(100% - 240px); height: 100%; float: left; }
.task.stacked .transcript.has_tags .tags	{ width: 240px; height: 100%; display: block; float: right; border-width: 0 0 0 1px; }

.task .toolbar #sidebyside,
.task .toolbar #stacked			{ text-indent: -9999em; width: 36px; background-repeat: no-repeat; background-position: center center; opacity: 0.8; }
 
.task .toolbar #sidebyside		{ background-image: url('../img/sidebyside_icon_blue.png'); }
.task .toolbar #stacked			{ background-image: url('../img/stacked_icon_blue.png'); }

.task .toolbar #sidebyside:hover,
.task .toolbar #sidebyside.selected { background-image: url('../img/sidebyside_icon_white.png'); }

.task .toolbar #stacked:hover,
.task .toolbar #stacked.selected	{ background-image: url('../img/stacked_icon_white.png'); }
